
------------------------------------------------------------------------------
 Whats New?                                                         09.4.2009
------------------------------------------------------------------------------
1.8 Beta 2

Game
 - Added animated tiles to platforms

 - Added Shyguy Tag Mode

 - Added new boxes minigame

 - Added boss minigame back in

 - Added new throwable box map item that can spawn powerups

 - Added 4 secret features that do some wacky things

 - World/tour makers can select which map will be played for the pipe, boss and boxes minigames

 - Added freezing of enemies, shells, throw blocks/boxes

 - Red Koopas detect platform edges and turn around

 - Tweak 1up-5up in star mode to give extra time except for 5up which gives a 1up

 - Give credit to killing another player with a falling donut

 - Button combo to drop cards in collection mode (turbo + turbo + turbo)

 - Added new coin bonus to greed and coins mode

 - Tanooki suit icon appears next to the weapon powerup on the HUD when a player has it

 - Added hazards to map preview windows

 - Added player only death tile type

 - Decreased time required to get multiplier in KOTH by half

 - Added Hazard deaths only option in the classic mode

 - Allow critical mode items like flags, yoshi's egg, ect to be carried by players in Kuribo's shoe

 - Randomize the transfer of tag/shyguy when a POW or MOd is used instead of always giving it to the first player in the players array

 - When using world inventory item powerups, only give the powerup to the player that used it, not the entire team

 - If players have stored powerups in world mode (i.e. they selected an item and are waiting to play the next game) and the world is exited, then that stored item will be kept

 - Updated inventory menu in world mode - Allow multiple players to access inventory at same time plus display current selected item at top

 - Updated Retro graphics pack to include new image items for new features

 - Shelled enemies need to be flipped upside down when bumped from above instead of just acting like they were stomped.

 - Items and objects are now destroyed when trapped in switch (on/off) blocks

 - Bouncing off of stomp enemies with tanooki doesn't free player from being tanooki like stomping on players does

 - Added flagpole gfx so that it is properly centered

 - Boss now collides with fireballs, hammers, boomerangs, bulletbills, attackzones

 - Updated some maps to use new animated tiles in platforms

 - Play game time warning sound with only a single lap to go instead of 2 in race mode

 - Updated year on splash screen to 2009

 - Expanded animated tile gfx

 - Added new expanded SMB3 and Yoshi's Island tilesets

 - Reverting back to 1.7's color palette

 - Make toad in toad house use full 64 pixel tall sprites for use by gfx pack creators


Level and World Editor
 - Added stage preview window to world editor when mousing over stage icons

 - Added fast scroll feature as an option for select fields

 - Split up foreground sprites into 3 menus in world editor (stage sprites, structure sprites, bridge sprites)

 - Added vehicle icons for vehicle menu in world editor

 - Added a complete stage editor - world creators no longer need to manually edit files.  This can be used to create tours as well (does require some manual text copying)

 - Added a complete vehicle editor to world editor

 - Added start items selection for world editor using 'i' key

 - Allow -1 as CTF mode base relocate setting in tour/world so flag base stays stationary for the duration of the match

 - Alt + enter on level editor or world editor should full screen and remember setting for next time

 - Save last viewed world + coordinates in world editor

 - Added feature to level editor to allow switching platforms around

 - Added feature to level editor to show preview of platform when the icon is moused over

 - Added "Are You Sure" message when exiting world and level editor

 - Save map with Shift + s in level AND world editor and display on screen that the map was saved

 - Added feature to adjust world size in the world editor. 

 - Added tour and world only maps to map list in world and level editor


AI
 - AI handles strategy to play boxes and shyguy modes

 - AI handles having platforms under their feet so they don't think they should run to one side to avoid death tiles below

 - AI handles phanto and throwing key when it is close

 - AI handles ignoring yoshi's eggs that don't have a matching yoshi

 - AI smartly collects cards in collection mode -> stops at 3 cards, attempts to match cards that it can see

 - Allowed bots to use super stomp move at the right time (kuribo's shoe and tanooki stomp)


Bug Fixes
 - Fixed major crashing bug when a vehicle goes next to right edge on map

 - Fixed major crashing bug when a tileset was not present for a map that required it

 - Fixed animation of upside-down SMB3 lava graphic

 - Fixed p-wing sound repeating over and over when you paused the game

 - Fixed bug where a warp is on a stage tile that activated the warp and stage at the same time

 - Fixed world editor deleting the initial items list - Fixed bug where you could glide up when frozen with the p-wings

 - Fixed missing sound for collecting a collection card

 - Fixed colored coin powerup in pipeminigame that could cause a crash

 - Fixed ground pound abuse where you could keep ground pounding when continuously falling after the ground pound wears off

 - Fixed tanooki suit falling abuse where you could fall forever while transformed into the statue

 - Fixed default ttls on menu for gray and red throw blocks are unlimited

 - Fixed no sound when collecting extra time powerups

 - Fixed bug where players with stored items would lose them in world mode if they finished a mode that didn't allow stored items

 - Fixed bug where player would shoot projectile the same time they were picking up an item.  This caused ice blasts to kill throw blocks on pickup

 - Fixed bug where players sometimes fell through 1x1 gaps when running over them

 - Fixed killing players/enemies does not score player points when killed by turning an on/off block on

 - Fixed dealing with corrupt tiles (row/col out of bounds) in level editor.  This was causing the mysterious falling tile bug

 - Fixed bug where the worlds are in alphabetized by the creator's name, not the world's name

 - Fixed bug that allowed players to pass through solid tiles that had hidden blocks placed on them

 - Fixed setting P1's menu controls select and cancel to any letter keys will make it to where you cannot change the playable map, as the map search funtion takes precedence

 - Fixed draw order of objects reversed so that the player collides first with the item drawn on top

 - Tons of other minor bugs


1.8 Beta 1

 - Added pipe minigame to world

 - Added center flag option to capture the flag mode

 - Added coin disappear time to greed mode

 - Added suicide timer so players that sit still for too long will countdown and die

 - Added shatter death to players that are frozen

 - Added menu option to configure the amount of time a player is frozen

 - Added spiny, buzzy beetle, paragoomba and parakoopas to stomp

 - New wand powerup with sgraff wand blast gfx

 - New map hazards flame cannon, bullet bills, pirhana plants, fireball strings, and rotodiscs

 - Added powerup limit fields for leaf, pwings, bomb, tanooki and wand

 - Moved weapon limits options to a seperate menu from the projectile settings menu

 - Removed all of the special moves from AFE

 - Removed super kick for shells and blocks but added a small amount of velocity depending on how fast the player is moving

 - Added both a left and right direction for the goomba enemy gfx

 - Fixed invincibility music so it doesn't pause when you pause or start to exit the game

 - Added ability to search map field for more than just a single character by typing multiple chars

 - Updated egg gfx to use animated gfx

 - Added glide option to chicken in chicken mode (unlimited leaf powerup for player that is the chicken)

 - Added new jail key item to jail mode

 - Added exploding eggs option to Yoshi's eggs mode

 - Added hidden blocks option to note blocks, powerup blocks, flip blocks

 - Added feature to allow hidden blocks to rehide after a specified time

 - Added 3 new map filters for item destroyable blocks, hidden blocks, and map hazards

 - Added push only kills option to timed and frag modes (sumo mode)

 - Updated flag bases to relocate after a period of time

 - Added two new types of platform paths -> continuous path and ellipse path

 - Updated straight paths to allow the path to be at any angle, not just vertical and horizontal

 - Added team specific spawn areas

 - Optimized collision detection loop

 - Added new options to yoshi's eggs mode to allow for 4 different colors of yoshis and eggs

 - Added warp lock options - enterance only, exit only, both, whole connection, all warps

 - Added feature to break/trigger blocks when a player warps into them.  This will help players not get stuck in breakable blocks when they are on the other side of a warp.

 - Added a style option to frag and classic mode allowing players to shield instead of respawn after being killed

 - Added "Collection" mode that has players collecting cards for points

 - Added kill credits for pushing other players into hazards

 - Added Health Mode where players have a certain number of hearts and only die when they lose all their hearts

 - Added mode specific extra time powerup for time limit and star modes

 - Added greed mode where players have a certain number of coins that pop out when they are attacked - last player with coins wins

 - Level editor can now specify where flag bases and race goals will start in a map

 - Updated bonus wheel - only 10 bonuses are displayed and the player can choose when to stop the spinner

 - Added 6 new tile types: Right and Left death tiles, Ice Solid On Top, Ice Death On Bottom, Ice Death On Left and Ice Death On Right

 - Added weapon destroyable blocks that can only be destroyed by that weapon - i.e. fireball breakable blocks, hammer breakable blocks, etc.

 - Added fish, snow and leaves eyecandy

 - Flipped over shells when hit with POW, MOd, spin attack or bounced from below

 - Red and Gray throwable blocks (bounce and keep going when they hit a player/enemy)

 - New spin move for tail and cape powerups

 - New powerups tanooki, podobo (from AFE), ice wand, leaf, pwings, bombs (from AFE)

 - Allow powerup weights to be specified in the map and added options to use weights from game, map or an average of both

 - New world match type and world editor (prototype) with working screenshots
	* Stages, paths, bridges, lots of the stuff from SMB3
	* Item menu system with new types of multiplayer style items like change controls, score multipliers and stage resurection
	* Moving stages in the form of hammer brothers and tanks
	* Bonus houses to visit and a pipe minigame to play
	* Doors/keys and warp pipes

 - Added two alternate modes to jail "Owned" and "Free for All".  Named the 1.7 jail mode to "Classic"

 - New animated tileset that gives you complete control over animated tiles in multiple layers

 - New tail powerup that can spin attack and allow the player to float down slowly

 - Added Kuribo's shoe map item (in addition to the spike and spring items from AFE)

 - Added super stomp move to kuribo's shoe and tanooki statue

 - New "poof" gfx for transforming player into different forms

 - New fireworks eyecandy on scoreboard

 - Expanded tilesets - allows player to use any number of customized tileset inside the game (ships with SMB1, SMB2, SMB3 and SMWorld)

 - New blue and orange note blocks

 - Display different poses for different places in tour and world scoreboard

 - New Move mode option in level editor allows "replace" and "merge" moves so that the newly placed tiles either take over or are merged with existing data there

 - Fixed move mode to move map objects as well

 - Added new world music packs section

 - Added tile_gap tile type that is automatically detected and allows players to run across 1 tile wide gaps

 - Removed dependency on tileset.tls -> this file is now only used for default tile types assigned in the level editor

 - Allow platforms to have tile types set independently o fhte tileset.tls

 - Added ability to jump off of falling donut blocks

 - Added mode settings to tours -> all mode settings are now settable using the tour file and old tour files are still supported (settings default to what they are set in the game mode menu)

 - Added view blocks (from AFE), similar to powerup block except you can see what you're going to get when you hit it

 

------------------------------------------------------------------------------

1.7 April Fools Edition

 - Animated lava and water tiles

 - 20% chance of a held spiked shell dies when hitting another player 

 - Hammers are fired from a better position relative to the player 

 - Fixed Screen shake POW bug

 - Fixes to AI to deal with podobos, bowser fire and new stuff 

 - Fixed gfx bug when switching places with mystery mushroom while holding an item

 - Menu option to turn off/on secret moves 

 - More than 20 Secret April Fools Features.  Here are some hints:
	* Some features are special moves for players based on what powerup they have or what they are carrying
	* Some are new items and powerups
	* Some are tweaks to existing features
	* and some things don't fall into any of these categories...

 - There is a contest at http://forum.72dpiarmy.com to see who can unlock the most hidden features
	* Contest winner gets special forum status and badge on splash screen for next release of SMW!
	* So keep checking the forums for the latest codes and unlocked features!


------------------------------------------------------------------------------

1.7

 - Game Graphics Pack, Menu Graphics Pack, and Sound Pack Support

 - Graphics in PNG format

 - Better menu system

 - Support for map browsing by thumbnails

 - New background/music system
	* Includes support for any number of arbitrarily-named BGs
	* Map makers may freely pick music categories in editor
	* Music can now be in MP3 format
	* Music packs for 1.6 will no longer work!  (But they can be upgraded)

 - Fully customizable controls, including joystick support

 - Game engine improved with support for carryable stuff

 - Support for Tournament Tours

 - Multiple A.I. difficulty settings

 - New interaction blocks
	* Blue throwable blocks
	* ON/OFF blocks and switches (4 colors)

 - Increased interaction block limit (shouldn't crash with too many bricks now)

 - Players now gradually slow down on ice (there is now a little friction)

 - 11 new items
	* Shells (4 types - green, red, spiny, and buzzy)
	* 2UP, 3UP, and 5UP mushrooms
	* MOd Block
	* Feather
	* Mystery Mushroom
	* Boomerang (includes three trajectory options - flat, SMB3, and Zelda)

 - Item switch which lets you change which items appear and at what frequencies

 - Bullet Bills are now color-coded and properly attribute kills
	* If two Bullet Bills of different colors collide, they explode
	* This can kill anyone, including the owners of the B.B.s
	* Bullet Bills can also now kill enemies in Stomp mode
	* If a player uses two B.B.s in succession, their effects now overlap

 - 3 new modes
	* Star
	* Capture The Flag
	* King Of The Hill

 - Goomba mode expanded into Stomp mode, which now includes Cheep-Cheeps and Koopas
	* Enemies in Stomp mode now also burn up by falling (just like players)

 - Fire Frenzy, Hammer, and Bob-Omb modes combined into Frenzy mode
	* Also includes 9 more cards
	* You can still configure it so that it plays like the old modes

 - Eggs in Yoshi's Eggs now have to be manually carried by players
	* Can kick eggs to Yoshi and still get the points

 - Jumping an already-owned player in Owned mode is now worth a 5-point bonus
	* Chicken kill bonus is also 5 points now
	* Tag death penalty also 5 points

 - Podoboos and Bowser Fireballs added to Survival mode

 - Most modes now have extended scoring options (i.e. you can set the goal higher)
	* Point-based modes still only go to 1000 but you can select by 50s now
	* As a result, 1UPs in point-based modes are now only worth 10 points

 - Free Play mode removed (replaced by infinite limit in all modes)

 - New configurable options available in most modes
	* Too many to list here - see Readme for more info

 - Random skin selection (pick a skin at random)

 - "Random" skin selection (pick a skin at random at the beginning of each game)

 - Skins are now alphabetized regardless of creator, like maps

 - New option to turn off the bonus wheel after a tournament

 - New option to clear currently stored powerups

 - Moving platforms in maps (and test function in editor)

 - Ability to filter maps based on several attributes and custom lists

 - Ability to browse maps by thumbs

 - Expanded and better-organized tileset

 - Ability to limit or increase frames per second

 - Respawn time now settable in half-seconds

 - Configurable off-screen arrow time and item respawn rate

 - Option to turn off warp locks

 - Option to put the crown on the leader in-game (not just on the HUD)

 - Lots of new projectile options (fireball life, shell life, etc.)

 - New race lap and game-start sounds

 - New chicken skin

 - POW and MOd now animated

 - Players are now animated on the team select screen

 - Skin names are displayed on the team select screen

 - "Ready" icon on team select screen

 - At the end of the game, losers are shown with their aerial death sprite

 - Pause button can now terminate the game when someone has won

 - Lots of extra eyecandy added to lots of things

 - Item no-spawn zones in editor (prevent coins, eggs, bases, etc. from spawning)

 - Can now choose tile type for each tile on the map in editor

 - Map screenshot option in editor

 - Default map eyecandy set to None (was clouds)

 - Tons of new maps and skins, and new and fixed BGs (thanks, forum regulars!)

 - Skin error checking (skins of the wrong size or color depth won't work now)

 - The game now detects no sound card and will default sound/music to off

 - There is now an option to change music tracks instead of looping one repeatedly

 - Spawning code greatly improved - players/items shouldn't spawn in blocks/walls now

 - Bugfixes
	When shielded, you can now kill Goombas &co and Bullet Bills
	B.B. kills now register as such with Souls spawn
	Fixed crash bug caused by one-off error in bonus wheel init
	Fixed escape-on-squish -> messed-up screen bug
	Fixed music bug when grabbing 1UP after end-of-game in Yoshi's Eggs mode
	Fixed music bug when winning while opponent has a star
	Dead corpses now fall through transparent ON/OFF and flip blocks
	Fixed bug that allowed players to move through flip blocks on edges of map
	Sprites going into warps now snap to the right place (no more sprite slicing)
	Invincibility and clock sounds no longer strictly time-based
	Invincible players no longer die when touching the sides of death tiles
	Fixed screen-off-center-after-crunch bug
	Fixed lost-with-more-than-0-when-grabbing-poison-and-life-shroom-at-once bug
	Players now receive multikill credit for killing 2+ opponents w/ POW/MOd
	Tag touch transfer now possible when shielded
	Pressing Down and Jump now makes you jump when not on a solid-on-top tile
	Lots of A.I. bugs fixed
	Some XBOX-related bugs fixed

 - Much-improved Readme

 - Various minor bugfixes and whatnot

 - And probably something else I forgot, because Two52 put in so much new stuff (yay)

------------------------------------------------------------------------------

1.6

 - Readme in HTML format

 - Tournament Mode

 - 6 new powerups
	Hammer
	Poison Mushroom
	Slowdown clock
	Bob-omb
	POW Block
	Bullet Bill Frenzy

 - Skins (and changed sprite structure for easier skin creation)
	Mario
	Bahamut
	Black Mage
	Bub/Bob
	Classic Mario
	Kirby
	Link
	Luigi
	Monty Mole
	Ninji
	Pig (FF1)
	Shyguy
	Snifit
	Tweeter
	White Mage
	DigDug
	Fygar
	Pooka
	Mappy
	Dino Torch
	Flurry
	Pacman
	Ghost
	Spike
	Toad
	Cecil
	Buzzy Beetle

 - Background Music
	Customizable using config files in the music directory

 - Team Play

 - Warping pipes

 - 5 New Game Modes
	Jail
	Goomba
	Race
	Owned
	Hammers

 - Updated Game Modes
	Tag - now you can transfer the tag by touching other players

 - Added new options on menu
	Scoreboard placement
	Announcer voice
	Team kill (friendly fire)
	Team colors (players on same team get same color)
	Screen crunch
	Map over layer like chains and railings

 - Different options for cloud eye candy

 - Fixed top row collision problems

 - Fixed general collision detection problems where players would end up inside blocks
	Improved performance

 - New Maps (from 4matsy, j rok, nitsuja, ventuz, Xijar, Fernando Márquez and Quinn Storm)

 - New map layers (4 tile layers + 1 block layer)

 - Out-of-bounds indicator and timer

 - Exit confirmation box

 - Better powerup collision detection (no bouncing off of thin air)

 - Coins, powerup cards, eggs and yoshi move if not collected in time

 - Improved AI
	Collects goal items like powerups and coins
	Avoids threats like fireballs and thwomps
	Attemps to avoid spikes (needs improvement)

 - Improved spawn location performance

 - Team colored fireballs/hammers

 - Fixed player spawning under spikes

 - Fixed CPU hogging (runs at 30% CPU on my 2ghz P4)

 - Improved tools in the level editor
	Select eyecandy
	Select tiles and move them around
	Copy tiles and paste them
	Designate "no spawn" areas

 - Adjustable music and sound volume

 - Configurable respawn time

------------------------------------------------------------------------------

1.5

 - New interaction blocks
      Breakable blocks
      Note blocks
      Powerup blocks
      Flip blocks
      Bounce blocks
      Donut blocks

 - Powerups
      Star
      Fireflower
      1up

 - 17 new background images

 - 280 tiles
      Ice tiles
      Death tiles (above only, below only or any side death)

 - 7 New Game modes
      Coin Limit
      Yoshi's Eggs
      Tag
      Domination
      Fire Frenzy
      Bob-Omb
      Survival

 - Improved collision detection (fixed screen edge bugs)

 - Chocobo sprites in Chicken Mode

 - Down jumping through solid on top blocks

 - Improved menu
       Graphics
       Map view
       Player select (allows any player to be in any state: disabled, player, cpu)
       Help keys at bottom of screen

 - Choice of spawn styles
      Added door and swirl to help you find your player when spawning

 - Pause game feature

 - Improved game scoreboard - game leader wears crown

 - Two layers on map (one for tiles and one for blocks)

 - 10 new maps and updated old maps with new blocks and backgrounds

 - Various eyecandy effects like dust and explosions

 - Friction jumping through air is less than on ground

 - Added classic Mario sound effects

 - More vibrantly colored player sprites

------------------------------------------------------------------------------

1.23 and before
 - the game